
Redmine - Defect #7745

Can access Spent time Details and report

2011-02-28 19:08 - Terence Mill

Status: Closed Start date: 2011-02-28

Priority: High Due date:  

Assignee:  % Done: 100%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.1

Description

I am logged in an user in role which has alls rights for time Time tracking (Log spent time, View spent time, Edit time logs, Edit own

time logs, Manage project activities )

and can't access the urls

/projects/ourproject/timelog/details

and /projects/ourproject/timelog/report

I get error 403

You are not authorized to access this page.

Back

Btw. even if i am admin!

History

#1 - 2011-02-28 21:57 - Jean-Philippe Lang

These URL were changed and those you mention are wrong.

They now should be: /projects/ourproject/time_entries and /projects/ourproject/time_entries/report

Where do you see links pointing to these URL? Please be as specific as possible.

And make sure you don't have any plugin that overrides the view containing the wrong link.

#2 - 2011-03-01 08:08 - shelly wu

- Assignee set to Chaoqun Zou

- % Done changed from 0 to 40

sadsdsd

#3 - 2011-03-01 08:09 - shelly wu

- Assignee changed from Chaoqun Zou to Jean-Philippe Lang

- % Done changed from 40 to 70

dsdsdsd

#4 - 2011-03-01 08:33 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

- % Done changed from 70 to 0

#5 - 2011-03-01 20:55 - Terence Mill

- Status changed from New to Resolved

- % Done changed from 0 to 100
The bug was caused by projects tree view plugin, which overrides views. I fixed the plugin code and now the links works again.

"Details to this fixed plugin:"/boards/3/topics/4645?r=22079#message-22079

#6 - 2011-03-01 23:37 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for your feedback !
